Field NationDeveloper Platform
Field NationDeveloper Platform
Overview

Work Orders

Resources

Get Dispatch Settings GETCreate Dispatch Settings POSTUpdate Dispatch Settings PUTGet project by ID GETGet projects GETCreate project POSTGet Provider Talent Pool Group Assignments in Project GETUpdate Provider Talent Pool Group Assignments in Project PUTAdd multiple providers to project talent pool groups POST
OrganizationProjects

Update Dispatch Settings


This endpoint allows you to update smart dispatch settings for a project.

PUT
/api/rest/v2/project/{project_id}/dispatch-settings

Authorization

access_token
access_token<token>

OAuth 2.0 Access Token

In: query

Path Parameters

project_id*integer

Project ID

Request Body

application/json

Smart dispatch settings

buyer_id*number

Buyer ID

dispatch_runtime_minutes?number

Amount of time to allow providers to request for the work order (in minutes)

Default60
rerun_until_threshold?boolean

If dispatch automation failed and work order start > rerun_threshold_minutes should we rerun the dispatch automation

Defaultfalse
rerun_threshold_minutes?number

If dispatch automation fails and work order start > this threshold (in minutes) and rerun_until_threshold is true, rerun dispatch automation

dispatch_to_first_available?boolean

If true, dispatch to first available

Defaultfalse
revert_to_draft_on_no_available?boolean

If dispatch automation fails, should we revert the work order to draft status or leave it published / routed after the window has passed

Defaulttrue
created_by*number

User ID who created these settings

is_dispatch_settings_enabled?boolean

Enable or disable dispatch settings for the project, when true creates a new active row, when false disables the current active row

Defaulttrue
curl -X PUT "https://api-sandbox.fndev.net/api/rest/v2/project/0/dispatch-settings" \  -H "Content-Type: application/json" \  -d '{    "buyer_id": 10,    "dispatch_runtime_minutes": 60,    "rerun_until_threshold": false,    "rerun_threshold_minutes": 720,    "dispatch_to_first_available": false,    "revert_to_draft_on_no_available": true,    "created_by": 987,    "is_dispatch_settings_enabled": true  }'
{
  "id": 1,
  "project_dispatch_setting_id": "550e8400-e29b-41d4-a716-446655440000",
  "project_id": 123,
  "buyer_id": 45,
  "dispatch_runtime_minutes": 60,
  "rerun_until_threshold": false,
  "rerun_threshold_minutes": 720,
  "dispatch_to_first_available": false,
  "revert_to_draft_on_no_available": true,
  "effective_from": "string_value",
  "effective_to": "string_value",
  "created_by": 987,
  "is_dispatch_settings_enabled": true
}
{
  "status": 500,
  "message": "Operation successful."
}
{
  "message": "Operation successful.",
  "errorReference": "string_value",
  "extra": [],
  "note": "string_value"
}
{
  "message": "Operation successful.",
  "errorReference": "string_value",
  "extra": [],
  "note": "string_value"
}

Response Body

application/json

application/json

application/json

application/json

Last updated on

Create Dispatch Settings POST

Previous Page

Get project by ID GET

Next Page

curl -X PUT "https://api-sandbox.fndev.net/api/rest/v2/project/0/dispatch-settings" \
  -H "Content-Type: application/json" \
  -d '{
    "buyer_id": 10,
    "dispatch_runtime_minutes": 60,
    "rerun_until_threshold": false,
    "rerun_threshold_minutes": 720,
    "dispatch_to_first_available": false,
    "revert_to_draft_on_no_available": true,
    "created_by": 987,
    "is_dispatch_settings_enabled": true
  }'